{
  "type": "minecraft:chest",
  "pools": [
    {
      "rolls": 23,
      "entries": [
        {
          "type": "minecraft:item",
          "name": "minecraft:apple",
          "weight": 1
        },
        {
          "type": "minecraft:item",
          "name": "minecraft:melon_slice",
          "weight": 3
        },
        {
          "type": "minecraft:item",
          "name": "minecraft:sweet_berries",
          "weight": 1
        }
      ],
      "functions": [
        {
          "function": "minecraft:set_custom_data",
          "tag": "{donot:1}"
        }
      ]
    }
  ]
}
